# Reference

## boost::redis::logger

Defines logging configuration.

### Synopsis

Declared in `<boost/redis/logger.hpp>`

    struct logger;

### Enums

Name | Description
`level` | Syslog‐like log levels.

### Member Functions

Name | Description
`logger` [constructor] | Constructors

### Data Members

Name | Description
`lvl` | Defines a severity filter for messages.
`fn` | Defines a severity filter for messages.

### Description

See the member descriptions for more info.

Created with MrDocs